<?php

namespace App\Console;

use App\Service\DatabaseService;
use App\Service\Traits\SelectDatabaseQuestion;
use Symfony\Component\Console\Attribute\AsCommand;
use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputArgument;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;

#[AsCommand('db:delete')]
class DeleteDatabaseCommand extends Command
{
    use SelectDatabaseQuestion;

    public function __construct(
        private readonly DatabaseService $db,
    )
    {
        parent::__construct();
    }

    protected function configure(): void
    {
        $this->addArgument('name', InputArgument::OPTIONAL, 'Database name');
    }

    protected function execute(InputInterface $input, OutputInterface $output): int
    {
        $db = $this->getDatabaseName($input, $output);

        $this->db->deleteDatabase($db);
        $output->writeln(sprintf('Database deleted: %s', $db));

        return Command::SUCCESS;
    }
}