<?php

namespace App\Console;

use App\Service\DatabaseService;
use Symfony\Component\Console\Attribute\AsCommand;
use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;

#[AsCommand('user:list')]
class ListUsersCommand extends Command
{
    public function __construct(
        private readonly DatabaseService $db,
    )
    {
        parent::__construct();
    }

    protected function execute(InputInterface $input, OutputInterface $output): int
    {
        $users = $this->db->listUsers();

        $output->writeln('List of users:');
        foreach ($users as $user) {
            $line = sprintf(' -%s @%s', $user['name'], $user['host']);
            if (!empty($plugin = $user['plugin'])) {
                $line .= sprintf(' (%s)', $plugin);
            }

            $output->writeln($line);
        }

        return Command::SUCCESS;
    }
}